VFS_ROOT(9)

NAME
VFS_ROOT - return the root vnode of a filesystem

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_ROOT(struct mount *mp, struct vnode **vpp);

DESCRIPTION
Return a locked vnode for the root directory of the filesystem.

Its arguments are:

mp  The filesystem.

vpp Return parameter for the root vnode.

SEE ALSO
vnode(9), VFS(9)

AUTHORS
This man page was written by Doug Rabson.